clear; clf;
rand('seed', getdate('s'))
rand('uniform')

n=10000;
lambda=1;
U=rand(1,n);
X=-1/lambda*log(1-U);
x=linspace(min(X),max(X),100);

function y=f(x)
    if (x<0) then y=0
    else y=lambda*exp(-lambda*x)
    end
endfunction

histplot(20,X)
fplot2d(x,f)
