clear; clf;
rand('seed', getdate('s'))
rand('uniform')

n=10000;    // nombre de simulations
lambda=1;
U=rand(1,n);
X=-1/lambda*log(1-U);
ns=100;     // nombre d'éléments de la subdivision
x=linspace(min(X),max(X),ns);
Fbar=ones(1,ns)
for i=1:ns
    Fbar(i)=sum(X<=x(i))/n;
end

function y=F(x)
    if (x<0) then y=0
    else y=1-exp(-lambda*x)
    end
endfunction

plot2d(x,Fbar)
fplot2d(x,F)
