rand('seed', getdate('s'))
rand('uniform')

function y=simule_cauchy(p)
    y=tan(%pi*(rand()-1/2))
endfunction

n=10000;    // nombre de simulations
N=10;   // nombre de trajectoires
U=rand(N,n);
X=tan(%pi*(U-1/2));
E=cumsum(X,'c')./cumsum(ones(N,n),'c');
plot2d(1:n,E',rect=[0 -10 10000 10])
