clear; clf;
rand('seed', getdate('s'))
rand('uniform')

n=1000;    // nombre de simulations
X=grand(1,n,'nor',1,2);
ns=100;     // nombre d'éléments de la subdivision
x=linspace(min(X),max(X),ns);
F=ones(1,ns);
Fbar=ones(1,ns);
for i=1:ns
    F(i)=cdfnor('PQ',x(i),1,2);
    Fbar(i)=sum(X<=x(i))/n;
end

plot2d(x,[Fbar',F'])
