clear; clf;
rand('seed', getdate('s'))
rand('uniform')

n=1000;    // nombre de simulations
U=rand(12,n);
X=sum(U,'r')-6;     // vecteur de simulations de loi N(0,1)
X=1+2*X;    // vecteur de simulations de loi N(1,2^2)
ns=100;     // nombre d'éléments de la subdivision
x=linspace(min(X),max(X),ns);
F=ones(1,ns);
Fbar=ones(1,ns);
for i=1:ns
    F(i)=cdfnor('PQ',x(i),1,2);
    Fbar(i)=sum(X<=x(i))/n;
end

plot2d(x,[Fbar',F'])
